Skip to content
payrocdevelopers

Retrieve pricing intent

Browse API reference

GET/pricing-intents/{pricingIntentId}getPricingIntent

Use this method to retrieve information about a pricing intent.

To retrieve a pricing intent, you need its pricingIntentId. Our gateway returned the pricingIntentId in the response of the Create Pricing Intent method.

Note: If you don't have the pricingIntentId, use our List Pricing Intents method to search for the pricing intent.

Our gateway returns the following information about the pricing intent:

  • Information about the fees, including the base fees, gateway fees, and processor fees.
  • Status of the pricing intent, including whether we approved the pricing intent.

Parameters

NameInTypeDescription
pricingIntentIdRequiredpathstring

Unique identifier that we assigned to the pricing intent.

Responses

Successful response. Returns the requested pricing intent.

200 OK · application/json
{
  "base": {
    "addressVerification": 5,
    "annualFee": {
      "amount": 100,
      "billInMonth": "june"
    },
    "batch": 1000,
    "chargeback": 2500,
    "earlyTermination": 57500,
    "maintenance": 500,
    "minimum": 100,
    "pciNonCompliance": 4995,
    "platinumSecurity": {
      "amount": 1295,
      "billingFrequency": "monthly"
    },
    "regulatoryAssistanceProgram": 15,
    "retrieval": 1500,
    "voiceAuthorization": 95
  },
  "country": "US",
  "createdDate": "2024-07-02T09:00:00Z",
  "gateway": {
    "fees": {
      "monthly": 1000,
      "perDeviceMonthly": 0,
      "perTransaction": 0,
      "setup": 25000
    }
  },
  "id": "5",
  "key": "string",
  "lastUpdatedDate": "2024-07-02T09:00:00Z",
  "metadata": {
    "yourCustomField": "abc123"
  },
  "processor": {
    "ach": {
      "fees": {
        "accountVerification": 100,
        "batch": 1000,
        "discountRateAbove10000": 10,
        "discountRateUnder10000": 5.25,
        "monthlyMinimum": 20000,
        "returns": 400,
        "statement": 800,
        "transaction": 50,
        "unauthorizedReturn": 1999
      }
    },
    "card": {
      "fees": {
        "amex": {
          "transaction": 10,
          "type": "optBlue",
          "volume": 1.25
        },
        "electronicBenefitsTransfer": {
          "transaction": 10
        },
        "mastercardVisaDiscover": {
          "transaction": 5,
          "volume": 1.25
        },
        "pinDebit": {
          "additionalDiscount": 1.25,
          "monthlyAccess": 1200,
          "transaction": 10
        },
        "specialityCards": {
          "transaction": 10
        }
      },
      "planType": "interchangePlus"
    }
  },
  "services": [
    {
      "enabled": true,
      "name": "hardwareAdvantagePlan"
    }
  ],
  "status": "pendingReview",
  "version": "5.2"
}
Response schema · 63 of 586 fields
  • 5.0object
    Object that contains information about a pricing intent for Merchant Processing Agreement (MPA) 5.0.
    • createdDatestringdate-time
      Date and time that we received your request to create the pricing intent. We return this value in the ISO-8601 format.
    • idstring
      Unique identifier of the pricing intent.
    • keystringrequired
      Unique identifier that you can assign to the pricing intent for your own records.
    • lastUpdatedDatestringdate-time
      Date and time that the pricing intent was last modified. We return this value in the ISO-8601 format.
    • metadataobject
      Metadata object that contains your custom data.
    • statusstring
      Status of the pricing intent. The value can be one of the following: active We have approved the pricing intent. pendingReview We have not yet reviewed the pricing intent. rejected We have rejected the pricing intent.activependingReviewrejected
    • baseobjectrequired
      Object that contains information about U.S. base fees.
      • addressVerificationintegernullrequired
        Fee for each address verification request. The value is in the currency's lowest denomination, for example, cents.≥ 0
      • annualFeeobjectrequired
        Object that contains information about the annual fee.+2 more fields at deeper levels — see the full spec
      • batchintegerrequired
        Fee for each batch. The value is in the currency's lowest denomination, for example, cents.≥ 0
      • chargebackinteger
        Fee for each chargeback. The value is in the currency's lowest denomination, for example, cents.0–5000
      • earlyTerminationinteger
        Fee for early termination. The value is in the currency's lowest denomination, for example, cents.0–59500
      • maintenanceintegerrequired
        Monthly fee for maintenance. The value is in the currency's lowest denomination, for example, cents.≥ 0
      • merchantAdvantageintegernullrequired
        Monthly fee for Payroc Advantage. The value is in the currency's lowest denomination, for example, cents.≥ 0
      • minimumintegerrequired
        Monthly fee that we charge when the merchant doesn't meet the minimum fee amount. This monthly fee is in the currency's lowest denomination, for example, cents.≥ 0
      • pciNonComplianceinteger
        Fee that we apply each month if you aren't compliant with PCI standards. The value is in the currency's lowest denomination, for example, cents.0–10000
      • platinumSecurityobject
        Polymorphic object that contains billing details for Platinum Security. The value of the billingFrequency field determines which variant you should use: monthly We collect the fee for Platinum Security each month. annual We collect the fee for Platinum Security each year.+6 more fields at deeper levels — see the full spec
      • regulatoryAssistanceProgramintegernullrequired
        Annual fee for the regulatory assistance program. The value is in the currency's lowest denomination, for example, cents.≥ 0
      • retrievalinteger
        Fee for each retrieval. The value is in the currency's lowest denomination, for example, cents.0–5000
      • voiceAuthorizationinteger
        Fee for each voice authorization. The value is in the currency's lowest denomination, for example, cents.0–200
    • countrystringrequired
      Two-digit code for the country that the pricing intent applies to. The format follows the ISO-3166-1 standard.US
    • gatewayobject
      Object that contains information about the gateway fees for MPA 5.0.
      • feesobjectrequired
        Object that contains information about the gateway fees.+4 more fields at deeper levels — see the full spec
    • processorobject
      Object that contains information about U.S. processor fees.
      • achobject
        Object that contains the fees for ACH transactions.+10 more fields at deeper levels — see the full spec
      • cardobject
        Polymorphic object that contains fees for card transactions. The value of the planType field determines which variant you should use: interchangePlus Interchange + pricing interchangePlusPlus Interchange pricing with three tiers tiered3 Three-tiered pricing tiered4 Four-tiered pricing tiered6 Six-tiered pricing flatRate Flat rate pricing consumerChoice ConsumerChoice rewardPayChoice RewardPayChoice+231 more fields at deeper levels — see the full spec
    • servicesobject[]
      Array of polymorphic objects that contain information about additional services that we offer.
      • option 1object
        Object that contains information about the Hardware Advantage Plan.+2 more fields at deeper levels — see the full spec
    • versionstringrequired
      Version of the MPA.5.0
  • 5.2object
    Object that contains information about a pricing intent for Merchant Processing Agreement (MPA) 5.2.
    • createdDatestringdate-time
      Date and time that we received your request to create the pricing intent. We return this value in the ISO-8601 format.
    • idstring
      Unique identifier of the pricing intent.
    • keystringrequired
      Unique identifier that you can assign to the pricing intent for your own records.
    • lastUpdatedDatestringdate-time
      Date and time that the pricing intent was last modified. We return this value in the ISO-8601 format.
    • metadataobject
      Metadata object that contains your custom data.
    • statusstring
      Status of the pricing intent. The value can be one of the following: active We have approved the pricing intent. pendingReview We have not yet reviewed the pricing intent. rejected We have rejected the pricing intent.activependingReviewrejected
    • baseobjectrequired
      Object that contains information about U.S. base fees.
      • addressVerificationintegernullrequired
        Fee for each address verification request. The value is in the currency's lowest denomination, for example, cents.≥ 0
      • annualFeeobjectrequired
        Object that contains information about the annual fee.+2 more fields at deeper levels — see the full spec
      • batchintegerrequired
        Fee for each batch. The value is in the currency's lowest denomination, for example, cents.≥ 0
      • chargebackinteger
        Fee for each chargeback. The value is in the currency's lowest denomination, for example, cents.750–5000
      • earlyTerminationinteger
        Fee for early termination. The value is in the currency's lowest denomination, for example, cents.19500–59500
      • maintenanceintegerrequired
        Monthly fee for maintenance. The value is in the currency's lowest denomination, for example, cents.≥ 500
      • minimumintegerrequired
        Monthly fee that we charge when the merchant doesn't meet the minimum fee amount. This monthly fee is in the currency's lowest denomination, for example, cents.≥ 0
      • pciNonComplianceinteger
        Fee that we apply each month if you aren't compliant with PCI standards. The value is in the currency's lowest denomination, for example, cents.3995–10000
      • platinumSecurityobject
        Object that contains information about the Platinum Security fee.+6 more fields at deeper levels — see the full spec
      • regulatoryAssistanceProgramintegernullrequired
        Annual fee for the regulatory assistance program. The value is in the currency's lowest denomination, for example, cents.≥ 0
      • retrievalinteger
        Fee for each retrieval. The value is in the currency's lowest denomination, for example, cents.275–5000
      • voiceAuthorizationinteger
        Fee for each voice authorization. The value is in the currency's lowest denomination, for example, cents.95–200
    • countrystringrequired
      Two-digit code for the country that the pricing intent applies to. The format follows the ISO-3166-1 standard.US
    • gatewayobject
      Object that contains information about the gateway fees for MPA 5.2.
      • feesobjectrequired
        Object that contains information about the gateway fees.+6 more fields at deeper levels — see the full spec
    • processorobject
      Object that contains information about U.S. processor fees.
      • achobject
        Object that contains the fees for ACH transactions.+10 more fields at deeper levels — see the full spec
      • cardobject
        Object that contains information about card fees.+225 more fields at deeper levels — see the full spec
    • servicesobject[]
      Object that contains information about our additional services that the merchant can sign up for.
      • option 1object
        Object that contains information about the Hardware Advantage Plan.+2 more fields at deeper levels — see the full spec
      • option 2object
        Object that contains the fees for account updater service.+5 more fields at deeper levels — see the full spec
      • option 3object
        Object that contains the fees for wireless processing.+4 more fields at deeper levels — see the full spec
      • option 4object
        Object that contains the fees for the Clover platform service.+5 more fields at deeper levels — see the full spec
      • option 5object
        Object that contains the fees for the Roc Services gateway.+3 more fields at deeper levels — see the full spec
    • versionstringrequired
      Version of the MPA.5.2

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer